# General config

## cfg.authWeapons

This config is a list of all the weapons that are used by the scriptto decapitate someone.

You can add new one by using this [website](https://wiki.rage.mp/index.php?title=Weapons), crating a new row with the hash inside brackets like this

```lua
[WEAPONHASH] = true,
```

if you want to delete one, juste set it at `false` or delete it from the list !

***

## cfg.ignorePlayers

If this config is set to ***true***, it will ignore players and not decapitate them. Otherwise it will have not effect.

```lua
cfg.ignorePlayers = false
```

***

## cfg.ignoreList

This is a list of all the peds on which the decapitation will have no effects. Hash is used by the script, so dont forget to put `GetHashKey("YOUR_PED_NAME").`

```lua
cfg.ignoreList = {
    [GetHashKey('a_c_cat_01')] = true,
    [GetHashKey('a_c_chickenhawk')] = true,
    [GetHashKey('a_c_chimp')] = true,
    [GetHashKey('a_c_chop')] = true,
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pingouin.dev/scripts-docs/decapitation-script/general-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
